package token;

import java.util.function.Supplier;

import file.FilePosition;
import sexpression.*;

public class BackTick extends Token {

    public BackTick(String text, FilePosition position) {
        super(text, position);
    }

    @Override
    public SExpression parseSExpression(Supplier<Token> getNextToken) {
        Token nextToken = getNextToken.get();
        SExpression argument = nextToken.parseSExpression(getNextToken);

        return new BackTickExpression(argument);
    }

}
